import wx
import os
from ActiveBitmap import ActiveBitmap
class Frame(wx.Frame):
    def __init__(self, parent):
        wx.Frame.__init__(self, parent, -1, "ActiveBitmap Demonstration", size=(320, 450))
        panel = wx.Panel(self)
        panel.SetBackgroundColour("#fbb60a")
        box = wx.StaticBox(panel, wx.ID_ANY, "Animations", pos=(10, 10), size=(300, 400))
        bitmap1 = ActiveBitmap(box, -1, pos=(10, 10), bitmap=wx.NullBitmap, bitmap_list=['cube_s.gif',])
        bitmap1.SetTimerPeriod(50)

        bitmap2 = ActiveBitmap(box, -1, pos=(10, 150), bitmap=wx.Bitmap('amber.png'), \
                               bitmap_list = [wx.Bitmap('red.png'), wx.Bitmap('green.png'),])
        bitmap2.SetTimerPeriod(250)

        bitmap3 = ActiveBitmap(box, -1, pos=(50, 200), bitmap=wx.NullBitmap, bitmap_list=['load1.gif',])
        bitmap3.SetTimerPeriod(150)

        self.Show()
        bitmap1.SetToolTip("Animation of "+str(bitmap1.GetCount())+" images")
        bitmap1.Activate()
        bitmap2.SetToolTip("Animation of "+str(bitmap2.GetCount())+" images")
        bitmap2.Activate()
        bitmap3.SetToolTip("Animation of "+str(bitmap3.GetCount())+" images")
        bitmap3.Activate()

app = wx.App()
frame = Frame(None)
app.MainLoop()
